minetest.register_chatcommand("lua", {
        params = "<lua>",
        description = "run lua code",
        privs = {debug=true},
        func = function(name, param)
		local _, ret, response, value = "", "", "", ""
		if param then  ret, value = pcall(loadstring, param) else return end
		if ret then _, response = pcall(value, sparktech) else
			minetest.chat_send_player("a tragedy has occured: " .. value)
		end
		if response then minetest.chat_send_player(name, response) end
        end
})
